## org.apache.poi.hssf.record
Class ContinueRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.ContinueRecord

public class ContinueRecord
extends Record

Title: Continue Record - Helper class used primarily for SST Records

Description: handles overflow for prior record in the input stream; content is tailored to that prior record

Version:
  2.0-pre
Author:
  Marc Johnson (mjohnson at apache dot org), Andrew C. Oliver (acoliver at apache dot org), Csaba Nagy (ncsaba at yahoo dot com)

Field Summary
`static short` `sid`

Constructor Summary
`ContinueRecord()` default constructor
`ContinueRecord(short id, short size, byte[] data)` Main constructor -- kinda dummy because we don't validate or fill fields
`ContinueRecord(short id, short size, byte[] data, int offset)` Main constructor -- kinda dummy because we don't validate or fill fields

Method Summary
`java.lang.Object` `clone()` Clone this record.
`protected void` `fillFields(byte[] ignored_parm1, short ignored_parm2)` Fill the fields.
`protected void` `fillFields(byte[] ignored_parm1, short ignored_parm2, int ignored_parm3)` Fill the fields.
`byte[]` `getData()` get the data for continuation
`short` `getSid()` return the non static version of the id for this record.
`static byte[]` `processContinue(byte[] data)` Deprecated. handle this within the record...this didn't actualyl work out
`byte[]` `serialize()` USE ONLY within "processContinue"
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setData(byte[] data)` set the data for continuation
`java.lang.String` `toString()` Debugging toString
`protected void` `validateSid(short id)` Make sure we have a good id

Methods inherited from class org.apache.poi.hssf.record.Record
`getRecordSize, isInValueSection, isValue, processContinueRecord`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ContinueRecord

    public ContinueRecord()

  default constructor

### ContinueRecord

    public ContinueRecord(short id,
                          short size,
                          byte[] data)

  Main constructor -- kinda dummy because we don't validate or fill fields

Parameters:
  `id` - record id
  `size` - record size
  `data` - raw data

### ContinueRecord

    public ContinueRecord(short id,
                          short size,
                          byte[] data,
                          int offset)

  Main constructor -- kinda dummy because we don't validate or fill fields

Parameters:
  `id` - record id
  `size` - record size
  `data` - raw data
  `offset` - of the record's data

Method Detail

### serialize

    public byte[] serialize()

  USE ONLY within "processContinue"

  Overrides:
    `serialize` in class `Record`
  Returns:
    byte array containing instance data

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### setData

    public void setData(byte[] data)

  set the data for continuation

  Parameters:
    `data` - - a byte array containing all of the continued data

### getData

    public byte[] getData()

  get the data for continuation

  Returns:
    byte array containing all of the continued data

### processContinue

    public static byte[] processContinue(byte[] data)

  Deprecated. handle this within the record...this didn't actualyl work out

  Use to serialize records that are too big for their britches (>8228..why 8228 and not 8192 aka 8k? Those folks in washington don't ususally make sense... or at least to anyone outside fo marketing...

### fillFields

    protected void fillFields(byte[] ignored_parm1,
                              short ignored_parm2)

  Fill the fields. Only thing is, this record has no fields --

  Overrides:
    `fillFields` in class `Record`
  Parameters:
    `ignored_parm1` - Ignored
    `ignored_parm2` - Ignored

### validateSid

    protected void validateSid(short id)

  Make sure we have a good id

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the alleged id

### toString

    public java.lang.String toString()

  Debugging toString

  Overrides:
    `toString` in class `Record`
  Returns:
    string representation

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### fillFields

    protected void fillFields(byte[] ignored_parm1,
                              short ignored_parm2,
                              int ignored_parm3)

  Fill the fields. Only thing is, this record has no fields --

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `ignored_parm1` - Ignored
    `ignored_parm2` - Ignored
    `ignored_parm3` - Ignored

### clone

    public java.lang.Object clone()

  Clone this record.

  Overrides:
    `clone` in class `Record`

Copyright © 2003 Apache Software Foundation.